curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/balances \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.balances
.create();
response = method
.accounts('acc_yVf3mkzbhz9tj')
.balances
.create()
{
"id": "bal_dGCCNWHMQYRay",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "in_progress",
"amount": null,
"error": null,
"created_at": "2024-03-14T01:41:28.434Z",
"updated_at": "2024-03-14T01:41:28.434Z"
}
Balances
Create a Balance
POST
/
accounts
/
{acc_id}
/
balances
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/balances \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.balances
.create();
response = method
.accounts('acc_yVf3mkzbhz9tj')
.balances
.create()
{
"id": "bal_dGCCNWHMQYRay",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "in_progress",
"amount": null,
"error": null,
"created_at": "2024-03-14T01:41:28.434Z",
"updated_at": "2024-03-14T01:41:28.434Z"
}
Creates a new Balance request to retrieve the Account’s balance from the financial institution.
Operation Type: | Webhook Payload.
Path Parameters
Returns
Returns a Balance object.curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/balances \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.balances
.create();
response = method
.accounts('acc_yVf3mkzbhz9tj')
.balances
.create()
{
"id": "bal_dGCCNWHMQYRay",
"account_id": "acc_yVf3mkzbhz9tj",
"status": "in_progress",
"amount": null,
"error": null,
"created_at": "2024-03-14T01:41:28.434Z",
"updated_at": "2024-03-14T01:41:28.434Z"
}
⌘I